Std Delete: Difference between revisions

From FreeCAD Documentation
No edit summary
(Undo revision 938559 by Evgeniy (talk))
Tag: Undo
 
(6 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>


<!--T:7-->
<!--T:7-->
{{Docnav
{{Docnav
|[[Std_SelectAll|Std SelectAll]]
|[[Std_SelectAll|SelectAll]]
|[[Std_SendToPythonConsole|Std SendToPythonConsole]]
|[[Std_SendToPythonConsole|SendToPythonConsole]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_SelectAll.svg
|IconL=Std_SelectAll.svg
Line 34: Line 31:
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Select the {{MenuCommand|Edit → [[Image:Std_Delete.svg|16px]] Delete}} option from the menu.
#* Select the {{MenuCommand|Edit → [[Image:Std_Delete.svg|16px]] Delete}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Del}}.
#* Select the {{MenuCommand|[[Image:Std_Delete.svg|16px]] Delete}} option from the [[Tree_view|Tree view]] context menu or [[3D_view|3D view]] context menu.
#* Select the {{MenuCommand|[[Image:Std_Delete.svg|16px]] Delete}} option from the [[Tree_view|Tree view]] context menu or [[3D_view|3D view]] context menu.
#* Use the keyboard shortcut: {{KEY|Del}}.

==Scripting== <!--T:12-->

<!--T:13-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<!--T:14-->
To delete an object use the {{incode|removeObject}} method of the document object.

</translate>
{{Code|code=
import FreeCAD

FreeCAD.ActiveDocument.removeObject("myObjectName")
}}
<translate>


<!--T:8-->
<!--T:8-->
{{Docnav
{{Docnav
|[[Std_SelectAll|Std SelectAll]]
|[[Std_SelectAll|SelectAll]]
|[[Std_SendToPythonConsole|Std SendToPythonConsole]]
|[[Std_SendToPythonConsole|SendToPythonConsole]]
|[[Std_Edit_Menu|Std Edit Menu]]
|[[Std_Edit_Menu|Std Edit Menu]]
|IconL=Std_SelectAll.svg
|IconL=Std_SelectAll.svg

Latest revision as of 07:22, 11 August 2021

Std Delete

Menu location
Edit → Delete
Workbenches
All
Default shortcut
Del
Introduced in version
-
See also
None

Description

The Std Delete command deletes selected objects.

Usage

  1. Select one or more objects.
  2. There are several ways to invoke the command:
    • Select the Edit → Delete option from the menu.
    • Select the Delete option from the Tree view context menu or 3D view context menu.
    • Use the keyboard shortcut: Del.

Scripting

See also: FreeCAD Scripting Basics.

To delete an object use the removeObject method of the document object.

import FreeCAD

FreeCAD.ActiveDocument.removeObject("myObjectName")